import { ARMOR_SETS, hasSet, safeAddEffect, setTag, E } from "./armors_index.js";

export function chitinSet(player, eqIds) {
  const chitin = hasSet(eqIds, ARMOR_SETS.chitin);
  setTag(player, "chitin", chitin);

  if (!chitin) return;

  safeAddEffect(player, E.slowness, 0);
  safeAddEffect(player, E.resistance, 1);
}
